# 导航调整

以节点 `“/motors_ctrl”` 为例。它正在向 `“/odom”` 主题发布`“nav_msgs/Odometry”` 消息类型，以及列表中的其他主题。它还订阅了 `“/cmd_vel”` 主题，消息类型为`“geometry_msgs/Twist”`

1. 前往文件夹  ‘/home//catkin\_ws/movel\_ai/config/movel/config/’<br>
2. 在参数文件 **costmap\_common\_params.yaml** 中， 确保正确定义了机器人足迹。
   1. 如果机器人足迹是多边形，则配置足迹参数并注释掉 robot\_radius。 例如：

      ```
      footprint: [[0.2, 0.2], [-0.2, 0.2], [-0.2, -0.2], [0.2, -0.2]]
      #robot_radius: 0.18
      ```
3. 在这里，机器人有一个正方形的足迹，四个角的 xy 坐标如图所示，而 robot\_radius 被注释掉了<br>
   1. 如果机器人足迹是圆形，配置robot\_radius参数并注释足迹。例如：

      ```
      #footprint: [[0.2, 0.2], [-0.2, 0.2], [-0.2, -0.2], [0.2, -0.2]]
      robot_radius: 0.18
      ```
4. 在base\_local\_planner\_params.yaml文件中:
   1. 前往 “`#Robot`” 区域。 要调整机器人的速度，请将`max_vel_x` 设置为线速度, 同时`max_vel_theta` 设置为角速度。 如果机器人没有达到最大速度，增加 `acc_lim_x` 和`acc_lim_theta`. 在 footprint\_model中，选择合适的模型类型并配置相应的参数。
   2. 在 “`#Obstacles`” 区域， 调整`min_obstacle_dist` 数值以设置机器人应远离障碍物的距离。 如果机器人需要穿过狭窄空间，请减小该参数值。

      <br>
5. 如果自主导航不顺畅， 前往 “catkin\_ws/movel\_ai/config/cmd\_vel\_mux/config”，找到 cmd\_vel\_mux.yaml,，并提高 `timeout_autonomous`数值。
6. 如果需要更多的调整 base\_local\_planner\_params.yaml, 参考 <http://wiki.ros.org/teb_local_planner>.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movel.ai/new-collection/jian-ti-zhong-wen/seirios-rns/installation-and-integration-1/navigation-tuning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
